Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACE_SSL_Data_File Class Reference

`#include <SSL_Context.h>`

Collaboration diagram for ACE_SSL_Data_File:

[legend]
List of all members.

## Public Member Functions
| ACE_SSL_Data_File (void)
| Default constructor.
| ACE_SSL_Data_File (const char *file_name, int type=SSL_FILETYPE_PEM)
| Contructor from a file name and the file type.
const char * | file_name (void) const
| The file name.
int | type (void) const
| The type.
## Private Attributes
ACE_CString | file_name_
| The file name.
int | type_
| The type, used by the SSL library to parse the file contents.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_SSL_Data_File::ACE_SSL_Data_File | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_SSL_Data_File::ACE_SSL_Data_File | ( | const char * | file_name,
|  | int | type = `SSL_FILETYPE_PEM`
| ) |

| Contructor from a file name and the file type.

## Member Function Documentation

ACE_INLINE const char * ACE_SSL_Data_File::file_name | ( | void |  | ) | const

| The file name.

ACE_INLINE int ACE_SSL_Data_File::type | ( | void |  | ) | const

| The type.

## Member Data Documentation

ACE_CString ACE_SSL_Data_File::file_name_`[private]`

| The file name.

int ACE_SSL_Data_File::type_`[private]`

| The type, used by the SSL library to parse the file contents.

The documentation for this class was generated from the following files:

- SSL_Context.h
- SSL_Context.inl